Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class ServiceDefinition

    java.lang.Object
      |
      +--com.bea.wlai.common.ServiceDefinition

public class ServiceDefinition
extends java.lang.Object
implements IServiceDefinition

An implementation of the IServiceDefinition interface.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ServiceDefinition()`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.util.Map` | `getPropertySet()`
`IRequestDefinition` | `getRequestDefinition()`
`IResponseDefinition` | `getResponseDefinition()`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setPropertySet(java.util.Map propertySet)`
`void` | `setRequestDefinition(IRequestDefinition requestDef)`
`void` | `setResponseDefinition(IResponseDefinition responseDef)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceDefinition

    public ServiceDefinition()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getRequestDefinition

    public IRequestDefinition getRequestDefinition()

  Specified by:
    getRequestDefinition in interface IServiceDefinition

### setRequestDefinition

    public void setRequestDefinition(IRequestDefinition requestDef)

### getResponseDefinition

    public IResponseDefinition getResponseDefinition()

  Specified by:
    getResponseDefinition in interface IServiceDefinition

### setResponseDefinition

    public void setResponseDefinition(IResponseDefinition responseDef)

### getPropertySet

    public java.util.Map getPropertySet()

  Specified by:
    getPropertySet in interface IServiceDefinition

### setPropertySet

    public void setPropertySet(java.util.Map propertySet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)